Recent issues

English

Build on Mac OS 10.9 XCode 6.0.1 with Qt 5.3.2

Toolchain upgrade to this configuration will hit to a problem that the error "Project ERROR: Could not resolve SDK path for ‘macosx10.8’" for qmake run.

This issue is reported on;

http://qt-project.org/forums/viewthread/38683

http://stackoverflow.com/questions/25940368/qt5-target-conditionals-not-...

As described in abobe article, edit following will resolve this issue.

/opt/Qt/5.3.1/5.3/clang_64/mkspecs/qdevice.pri

change the following line:

!host_build:QMAKE_MAC_SDK = macosx10.8

to this:

!host_build:QMAKE_MAC_SDK = macosx10.9

Be sure to clean your project and run qmake again.

 

User login